Subject: bug#36922: [PATCH] Add defalias toolbar-mode for tool-bar-mode

From: Juri Linkov <[email-masked]>
Date: Mon, 09 Sep 2019 00:58:46 +0300

>> Oh, the name of the new feature tab-bar was modeled after tool-bar,
>> so now it should be renamed to tabbar, this doesn't look too nice.
>
> I think that should be "tab-bar", since that seems to be the most
> common spelling.

Indeed preparing good names for completion makes them easier to type.
For example, recently after adding the "tab-bar-mouse" command made harder to
enable "tab-bar-mode" by typing just "tab-b-mo", it doesn't complete anymore.
Also better would be to group all related commands under one prefix,
such as "tab-next", "tab-previous" for easier completion.

> I'm not suggesting a rename of "tool-bar" by the way, only a convenience alias.

Please try to find evidence that more people have the same problem
with completion.  For example, I have in my init file such aliases
that I often mistype, e.g.:

  (defalias 'comapre-windows 'compare-windows)

because "comapre" is easier to type than "compare" on a qwerty keyboard :)

Another solution is to make completion smarter, like when in bash
mistyping a shell command still find it by correcting its name.